Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/xload: new aport

From: Taner Tas <taner76_at_gmail.com>
Date: Thu, 6 Apr 2017 21:32:45 +0000

https://xorg.freedesktop.org/
System load average display for X. Very useful app for load monitoring when embedded into systray.
---
 testing/xload/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/xload/APKBUILD
diff --git a/testing/xload/APKBUILD b/testing/xload/APKBUILD
new file mode 100644
index 00000000..66971573
--- /dev/null
+++ b/testing/xload/APKBUILD
_at_@ -0,0 +1,37 @@
+# Maintainer: Taner Tas <taner76_at_gmail.com>
+pkgname=xload
+pkgver="1.1.2"
+pkgrel=0
+pkgdesc="System load average display for X"
+url="https://xorg.freedesktop.org/"
+arch="all"
+license="MIT"
+depends="libintl"
+makedepends="libx11-dev libxaw-dev libxmu-dev libxt-dev gettext-dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://xorg.freedesktop.org/archive/individual/app/xload-${pkgver}.tar.bz2"
+#builddir="$srcdir/"
+
+build() {
+	export CFLAGS="$CFLAGS -DRLOADSTUB"
+	export LIBS="$LIBS -lintl"
+	cd "$builddir"
+	 ./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		--disable-nls \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="9c83d26bbb135cc0f2b3ef7f25b081cda5d080dd02b1c89195b40825a7d71211965b34336c853eb455472d9748f3edf64108455584b34b81673e2548806f423d  xload-1.1.2.tar.bz2"
-- 
2.12.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Apr 06 2017 - 21:32:45 GMT